%global namedreltag .Final-redhat-8
%global fullreltag .Final_redhat_8
%if "%{?rhel}" != "6"
%global _mavenpomdir /usr/share/maven2/poms
%endif
%global namedversion %{version}%{?namedreltag}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define maven_version 7.2.0.Final-redhat-8

Name:             jboss-as-osgi
Version:          7.2.0
Release:          8%{fullreltag}%{?dist}
Summary:          JBoss AS OSGi Config Admin Module
Group:            Development/Libraries

%if %with mead
Source100: org.jboss.as-jboss-as-parent-7.2.0.Final-redhat-8-sources.zip
Source102: jboss-as-osgi-http-7.2.0.Final-redhat-8.jar
Source103: jboss-as-osgi-http-7.2.0.Final-redhat-8-sources.jar
Source104: jboss-as-osgi-http-7.2.0.Final-redhat-8.pom
Source105: jboss-as-osgi-jpa-7.2.0.Final-redhat-8.pom
Source106: jboss-as-osgi-jpa-7.2.0.Final-redhat-8.jar
Source107: jboss-as-osgi-jpa-7.2.0.Final-redhat-8-sources.jar
Source108: jboss-as-osgi-jta-7.2.0.Final-redhat-8-sources.jar
Source109: jboss-as-osgi-jta-7.2.0.Final-redhat-8.jar
Source110: jboss-as-osgi-jta-7.2.0.Final-redhat-8.pom
Source111: jboss-as-osgi-naming-7.2.0.Final-redhat-8-sources.jar
Source112: jboss-as-osgi-naming-7.2.0.Final-redhat-8.jar
Source113: jboss-as-osgi-naming-7.2.0.Final-redhat-8.pom
Source114: jboss-as-osgi-integration-7.2.0.Final-redhat-8.pom
Source115: jboss-as-osgi-jmx-7.2.0.Final-redhat-8-sources.jar
Source116: jboss-as-osgi-jmx-7.2.0.Final-redhat-8.pom
Source117: jboss-as-osgi-jmx-7.2.0.Final-redhat-8.jar
Source118: jboss-as-osgi-7.2.0.Final-redhat-8.pom
Source119: jboss-as-osgi-web-7.2.0.Final-redhat-8.pom
Source120: jboss-as-osgi-web-7.2.0.Final-redhat-8-sources.jar
Source121: jboss-as-osgi-web-7.2.0.Final-redhat-8.jar
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-as

BuildArch:        noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss AS OSGi Config Admin Module.

%prep

%build

%install
# JARs
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jbossas
cp -p %{_sourcedir}/%{name}-http-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-http.jar
cp -p %{_sourcedir}/%{name}-http-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-http-sources.jar
cp -p %{_sourcedir}/%{name}-jmx-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jmx.jar
cp -p %{_sourcedir}/%{name}-jmx-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jmx-sources.jar
cp -p %{_sourcedir}/%{name}-jpa-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jpa.jar
cp -p %{_sourcedir}/%{name}-jpa-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jpa-sources.jar
cp -p %{_sourcedir}/%{name}-jta-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jta.jar
cp -p %{_sourcedir}/%{name}-jta-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jta-sources.jar
cp -p %{_sourcedir}/%{name}-naming-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-naming.jar
cp -p %{_sourcedir}/%{name}-naming-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-naming-sources.jar
cp -p %{_sourcedir}/%{name}-web-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-web.jar
cp -p %{_sourcedir}/%{name}-web-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-web-sources.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{_sourcedir}/%{name}-http-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-http.pom
install -pm 644 %{_sourcedir}/%{name}-jmx-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-jmx.pom
install -pm 644 %{_sourcedir}/%{name}-jpa-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-jpa.pom
install -pm 644 %{_sourcedir}/%{name}-jta-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-jta.pom
install -pm 644 %{_sourcedir}/%{name}-naming-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-naming.pom
install -pm 644 %{_sourcedir}/%{name}-web-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-web.pom

# DEPMAP
%add_maven_depmap JPP.jbossas-%{name}-http.pom jbossas/%{name}-http.jar
%add_maven_depmap JPP.jbossas-%{name}-jmx.pom jbossas/%{name}-jmx.jar
%add_maven_depmap JPP.jbossas-%{name}-jpa.pom jbossas/%{name}-jpa.jar
%add_maven_depmap JPP.jbossas-%{name}-jta.pom jbossas/%{name}-jta.jar
%add_maven_depmap JPP.jbossas-%{name}-naming.pom jbossas/%{name}-naming.jar
%add_maven_depmap JPP.jbossas-%{name}-web.pom jbossas/%{name}-web.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*


%changelog
* Thu May 09 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-8.Final_redhat_8
- EAP 6.1.0 ER8

* Wed May 08 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-7.Final_redhat_7
- EAP 6.1.0 ER7

* Tue Apr 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-6.Final_redhat_6
- EAP 6.1.0 ER6

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Tue Apr 02 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-4.Final_redhat_4
- EAP 6.1.0 ER4

* Tue Apr 02 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-4.Final_redhat_4
- EAP 6.1.0 ER4

* Tue Mar 15 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_3
- EAP 6.1.0 ER3

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_2
- EAP 6.1.0 ER2

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> 7.2.0-1
- Wrap new osgi artifacts for EAP 6.1.0

